
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Hait windows 后台管理</title>
<link rel="stylesheet" type="text/css" href="images/hait_admin.css" />
</head><?php require ("Hait_login_ask.php");?>
<?php
if($class_gl==null or $class_gl<>1)
{
   echo "<script>alert('Hait windows 提醒你，非法操作！！你没有该权限！');location.href='Hait_right.php'</script>";
   exit;
}
?>
<?php
error_reporting(0);
require '../config.php';
$page = $_GET["page"]; 
require_once'Hait_function.php';
$rows = mysql_num_rows(mysql_query("select * from hait_class",$conn)); 
Page($rows,20); 
$sql = "select * from hait_class order by id desc limit $select_from $select_limit "; 
$listexec = mysql_query($sql,$conn); 

?>
<body>
<script language="javascript" src="hait_li.js"></script>
<script language="JavaScript">             
function delete_confirm(e) 
{
    if (event.srcElement.outerText == "删除") 
    {
        event.returnValue = confirm("Hait windows 提醒你，该栏目下所有内容都将删除，删除后不可恢复，你确认要删除吗？");
    }
}
document.onclick = delete_confirm;
</script>
  <table width="100%" border="0"><form method="post" action="hait_class_app.php">
          <input name="appname" type="text"  style="display:none" value="class"/>
    <tr>
      <td><table  border="0">
        <tr>
          <td class="STYLE6">操作:</td>
          <td><input name="submit2" type="submit" class="menu"  disabled="disabled" id="articledel" onmousemove="this.form.appname.value='del';"  onclick="delcfm()" value=" 删 除 " />
          </td>
          <td><input name="submit2" type="submit" class="menu"   id="articledel" onmousemove="this.form.appname.value='zdh';" value="最大化" /></td>
          <td><input name="submit2" type="submit" class="menu"   id="articledel" onmousemove="this.form.appname.value='qxzdh';" value="取消最大化" /></td>
          <td><input name="submit2" type="submit" class="menu"   id="articledel" onmousemove="this.form.appname.value='zm';" value="桌面显示" /></td>
          <td><input name="submit2" type="submit" class="menu"   id="articledel" onmousemove="this.form.appname.value='qxzm';" value="取消桌面显示" /></td>
          <td><input name="submit3" type="button" class="menu"  onclick="window.location.href='hait_class.php';" value=" 添加分类 " /></td>
		  <td><input name="submit3" type="button" class="menu"  onclick="window.location.href='hait_windows.php';" value=" 生成桌面 " /></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td><table width="100%" cellpadding="4" cellspacing="1"  bgcolor="#C0C0C0" class="STYLE7" >
        
          <tr bgcolor="#FFFFFF" align="center" class="STYLE6" >
		    <th background="images/bg2.gif"><input type="checkbox" onclick="checkAll(this,'checkbox[]')" /></th>
            <th align="center" background="images/bg2.gif">ID</th>
			<th background="images/bg2.gif">缩略图</th>
            <th background="images/bg2.gif">分类名称</th>
            <th background="images/bg2.gif">排序</th>
            <th background="images/bg2.gif">分类类型</th>
            <th background="images/bg2.gif">宽度</th>
            <th background="images/bg2.gif">高度</th>
            <th background="images/bg2.gif">最大化</th>
            <th background="images/bg2.gif">显示</th>
            <th background="images/bg2.gif">管理</th>
          </tr>
          <?php
while($list=mysql_fetch_array($listexec))
{
echo '<tr bgcolor="#F7FFFF" align="center" class="movelist">';
echo '<td width="3%" >';?>
<input name="checkbox[]" type="checkbox" value=<?PHP echo $list['id'];?> onClick="checkDeleteStatus('checkbox[]')"/>
<?PHP echo '</td>';
echo '<td width="5%" >';
echo $list['id'];
echo '</td>';
echo '<td width="5%" align="cnter">';?>
<img src="<?php if(strstr($list['pic'],"http://")=="" ){  echo '../'.$list[pic].'';}
		  else{echo $list['pic']; } ?>" width="25" height="25" onMouseOver="document.getElementById('<?PHP echo $list['id'];?>pic').style.display='';" onMouseOut="document.getElementById('<?PHP echo $list['id'];?>pic').style.display='none'" onerror="this.src='../hait_images/emptybook.gif'"/>
 <div id="<?PHP echo $list['id'];?>pic" style="display:none; position:absolute;border:3px solid #999; ">
 <img name="bigbj" id="bigbj"  src="<?php if(strstr($list['pic'],"http://")=="" ){  echo '../'.$list[pic].'';}else{echo $list['pic']; } ?>" width="100" height="100" onerror="this.src='../hait_images/emptybook.gif'" >
 </div>
<?php
echo '</td>';

echo '<td width="20%" align="left">';
echo '<a href=hait_class_xg.php?'.$list[id].'>'.$list[classname].'</a>';
echo '</td>';
echo '<td width="5%">';
echo $list['paixu'];
echo '</td>';
echo '<td width="10%">';
if ($list['lmlx']==1){echo"文章";}elseif ($list['lmlx']==2){echo"论坛";}elseif ($list['lmlx']==3){echo"下载";}elseif ($list['lmlx']==11){echo"<span class='STYLE2'>快捷方式</span>";};
echo '</td>';
echo '<td width="8%">';
echo $list['width'].px;
echo '</td>';
echo '<td width="8%">';
echo $list['height'].px;
echo '</td>';
echo '<td width="8%">';
 if ($list['lashen']==1){echo'<input type="checkbox"  checked="checked" />';}else {echo'<input type="checkbox"/>';};
echo '</td>';
echo '<td width="5%">';
 if ($list['value']==1){echo'<input type="checkbox"  checked="checked" />';}else {echo'<input type="checkbox"/>';};
echo '</td>';
echo '<td width="8%" align="center">';
echo '<a href=hait_class_xg.php?'.$list[id].'>';
echo '修改</a>/';
echo '<a href=hait_article_gl.php?classname='.$list[id].'>';
echo '管理内容</a>';
echo '</td>';
echo '</tr>';
}
?>
        
      </table>
      </td>
    </tr></form>
    <tr>
      <td><table width="100%"  border="0">
        <tr>
          <td><table  border="0">
            <form method="post" action="hait_sql_cz.php">
                <input name="appname2" type="text"  style="display:none" value="admin_xg"/>
                <tr>
                  <td><select name="class1">
                      <?php Haitlist() ?>
                  </select></td>
                  <td class="STYLE6">栏目下内容移到>></td>
                  <td><select name="class2">
                      <?php Haitlist() ?>
                  </select></td>
                  <td><input name="submit" type="submit" class="submit" onClick="zycfm()" value="批量转移" />
                      </span></td>
                </tr>
              </form>
          </table></td>
          <td align="right">&nbsp;</td>
          <td align="right"><?php echo $pagenav; ?>          </td>
        </tr>
      </table></td>
    </tr>
  </table>
  </body>
</html>